View Issue Details

IDProjectCategoryView StatusLast Update
12889Bug reports[All Projects] Survey designpublic2017-11-14 11:47
ReporterolleAssigned Tomarkusfluer 
PrioritynoneSeverityblock 
Status resolvedResolutionreopened 
Product Version3.0.0-rc.x 
Target Version3.xFixed in Version3.0.0-rc.x 
Summary12889: Mandatory switch and other switches do not work in question edit
DescriptionTitle.

Blocking bug since I can't test mandatory questions.
Steps To Reproduce1. Create question
2. Can't switch mandatory on/off

TagsNo tags attached.
Complete LimeSurvey version number (& build)latest dev
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Operating System (Server)-
Webserver software & version-
PHP Version-

Activities

olle

olle

2017-11-13 16:20

administrator   ~45055

Hm, even running "$('[data-is-bootstrap-switch]').bootstrapSwitch();" manually in the console does not fix it. Strange.
olle

olle

2017-11-13 16:32

administrator   ~45056

If I throw an exception at the end of the ready function in admin_core, the switches work (although it halts loading of other settings etc).
markusfluer

markusfluer

2017-11-13 16:32

developer   ~45057

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24804
olle

olle

2017-11-14 10:15

administrator   ~45060

Not resolved, see new picture.
olle

olle

2017-11-14 10:15

administrator  

Selection_339.png (21,624 bytes)
Selection_339.png (21,624 bytes)
markusfluer

markusfluer

2017-11-14 11:47

developer   ~45062

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24812

Related Changesets

LimeSurvey: develop 058df63c

2017-11-13 16:31:44

markusfluer

Details Diff
Fixed issue 12889: Mandatory switch and other switches do not work in question edit
mod - application/config/packages.php Diff File
mod - application/config/third_party.php Diff File
mod - application/extensions/yiiwheels/widgets/switch/WhSwitch.php Diff File
mod - application/models/AdminTheme.php Diff File
mod - assets/packages/adminbasics/js/admin_core.js Diff File
rm - assets/scripts/admin/admin_core.js Diff File

LimeSurvey: develop 57f003dd

2017-11-14 11:46:22

markusfluer

Details Diff
Fixed issue 12889: Mandatory switch and other switches do not work in question edit
mod - assets/scripts/admin/questions.js Diff File

Issue History

Date Modified Username Field Change
2017-11-10 12:42 olle New Issue
2017-11-10 16:58 LouisGac Assigned To => markusfluer
2017-11-10 16:58 LouisGac Status new => assigned
2017-11-13 16:20 olle Note Added: 45055
2017-11-13 16:32 olle Note Added: 45056
2017-11-13 16:32 markusfluer Changeset attached => LimeSurvey develop 058df63c
2017-11-13 16:32 markusfluer Note Added: 45057
2017-11-13 16:32 markusfluer Resolution open => fixed
2017-11-13 16:43 markusfluer Status assigned => resolved
2017-11-13 16:43 markusfluer Fixed in Version => 3.0.0-rc.x
2017-11-14 10:14 olle Status resolved => new
2017-11-14 10:14 olle Resolution fixed => reopened
2017-11-14 10:15 olle Note Added: 45060
2017-11-14 10:15 olle File Added: Selection_339.png
2017-11-14 11:47 markusfluer Changeset attached => LimeSurvey develop 57f003dd
2017-11-14 11:47 markusfluer Note Added: 45062
2017-11-14 11:47 markusfluer Status new => resolved